Skip to main content

HTTP API reference › Gala Launchpad › bundle

Gala Launchpad — bundle

2 operations in this group.

  • GET /bundle — Status of a submitted operation by bundle id or chain uniqueKey
  • POST /bundle — Submit a signed launchpad operation for batching (bundler-compatible)

GET /bundle​

BundleController_status

Status of a submitted operation by bundle id or chain uniqueKey

Status of a submitted operation by bundle id or chain uniqueKey

Parameters​

NameInRequiredTypeDescription
idqueryrequiredstringBundle UUID or chain uniqueKey.

Responses​

200 — {"key":"<id>","status":"PENDING|PROCESSED|FAILED","error"?:"<reason when FAILED>"}​

Content type: application/json

Schema: BundleStatusResponseDto

FieldTypeRequiredDescription
errorstringnoFailure reason, included only when status is FAILED and a reason was stored.
keystringyesThe submitted lookup id after trimming.
statusBundleStatusyes

404 — Transaction with the requested id was not found.​

Content type: application/json

Schema: BundleErrorResponseDto

FieldTypeRequiredDescription
errorboolean enum: trueyes
messagestringyes
statusnumberyesHTTP status code.

500 — Bundle status lookup failed.​

Content type: application/json

Schema: BundleErrorResponseDto

FieldTypeRequiredDescription
errorboolean enum: trueyes
messagestringyes
statusnumberyesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example response​

[]

POST /bundle​

BundleController_submit

Submit a signed launchpad operation for batching (bundler-compatible)

Submit a signed launchpad operation for batching (bundler-compatible)

Request body​

Required: yes

application/json​

Schema: TransactionMethodDto

FieldTypeRequiredDescription
contractstringno
contractNamestringno
methodstringyesAllowlisted Launchpad operation method.
signedDtoobjectyesCaller-signed chain DTO.
stringsInstructionsarray<string>yesCaller-provided bundle grouping keys.

Responses​

201 — {"data":"<uuid>","message":"Transaction Received","error":false}​

Content type: application/json

Schema: BundleAckResponseDto

FieldTypeRequiredDescription
datastring (uuid)yesServer-minted bundle operation id.
errorboolean enum: falseyes
messagestring enum: Transaction Receivedyes

400 — Bundle validation or intake error.​

Content type: application/json

Schema: BundleErrorResponseDto

FieldTypeRequiredDescription
errorboolean enum: trueyes
messagestringyes
statusnumberyesHTTP status code.

500 — Bundle intake failed.​

Content type: application/json

Schema: BundleErrorResponseDto

FieldTypeRequiredDescription
errorboolean enum: trueyes
messagestringyes
statusnumberyesHTTP status code.

default — Shared error envelope returned by the application exception filter.​

Content type: application/json

Schema: ApiErrorEnvelope

FieldTypeRequiredDescription
errorboolean enum: trueyes
messageoneOf: string | array<string>yes
statusintegeryesHTTP status code.
messagestringyes
statusCodeintegeryesHTTP status code.

Example request​

[]

Example response​

[]

Previous group: auth · Next group: stream-chat